User
Pass
2FA
 
 

DBM issue - auto-disable by force (after numberous outdated warnings)

 
Post new topic   This topic is locked: you cannot edit posts or make replies.    Freakz Forum Index -> WoW Freakz - Legion -> General Discussion
Show only staff posts
Author Message354
Gadoschi

[Mentally Stable]



Status: Offline
(online 11 hours ago)
Joined: 11 Jan 2019
Posts: 40, Topics: 13
Location: Croatia

Reputation: 12.4

Post Posted: 09-08-2019, 22:14:42 | Translate post to: ... (Click for more languages)

Hi.

I realize this is probably not the place to post this issue, but I'll do it nevertheless as really I'm running out of options.

What happens is that, after a while (a few weeks usually), and after many repeated warnings about how my Deadly Boss Mods addon is outdated and needs to be updated to a newer version (which far surpasses the current server patch) over those few weeks, the addon suddenly disabled itself by force (so far it's always happened while inside a raid) to "prevent causing issues to other players" and I can no longer turn it back on. It stops working altogether.

Now, I'm given to understand that the commands that operate the described addon version check and the subsequent force disable are located in the DBM-core.lua file.
However, since I'm not a programmer, I'm hesitant to fiddle around all those commands, especially since I'm not even sure where exactly those particular commands are located (I tried searching commands using keywords "version", "check", "disable", "outdated", and I got quite a number of results for each search).


I'd appreciate any help on this issue. If you need additional information, I'll be happy to provide them here or via private messages.

The issue has occured with a couple of different versions of the addon - I tried versions for 7.2.5, 7.3.0, 7.3.5, even one or two BfA versions - always the same issue.


Thanks



0 0
  
Back to top
View user's profile Send private message
Sarah

[Moderator]



Status: Offline
(online 3 days ago)
Joined: 30 Jun 2017
Posts: 1477, Topics: 43
Location: Germany

Reputation: 1340.6
Votes: 17

    Battletag: postrow.ID_BATTLE_NET} 
Post Posted: 09-08-2019, 23:13:13 | Translate post to: ... (Click for more languages)

Hello Gadoschi,

The problem happens if someone in a group with you uses a different version of the AddOn than you do. The AddOn detects this, then does a version check, and discovers that there's a more up to date version available (which of course is not meant to be used on a 7.2.5 server though)

Only way around is by having everyone in the group use the same version.

Or, alternatively, use BigWigs, as it doesn't have such features.

If you figure out a way to edit the version scan out of the AddOn, that'd be great, however, I'm afraid I'm unable to assist with that, not familiar with lua programming.


Best regards
Sarah



0 0
  
Back to top
View user's profile Send private message
Gadoschi

[Mentally Stable]



Status: Offline
(online 11 hours ago)
Joined: 11 Jan 2019
Posts: 40, Topics: 13
Location: Croatia

Reputation: 12.4

Post Posted: 09-08-2019, 23:27:28 | Translate post to: ... (Click for more languages)

Thanks for clarification of the issue - that explains why it only happens while in raids.

Still boils down to the same, though - learning how to remove commands which perform the version check in the first place.

If someone with programming knowledge could help, that's be great.



0 0
  
Back to top
View user's profile Send private message
tweedy

[the Insane]



Status: Offline
(since 11-04-2020 14:24)
Joined: 17 Jan 2017
Posts: 101, Topics: 39
Location: Germany

Reputation: 32.8
Votes: 8

 
Post Posted: 17-08-2019, 10:22:21 | Translate post to: ... (Click for more languages)

I'll have a look on this.
And will e*/dit this post once i found something.



Last edited by tweedy on 18-08-2019, 14:11:00; edited 1 time in total
0 0
  
Back to top
View user's profile Send private message
tweedy

[the Insane]



Status: Offline
(since 11-04-2020 14:24)
Joined: 17 Jan 2017
Posts: 101, Topics: 39
Location: Germany

Reputation: 32.8
Votes: 8

 
Post Posted: 18-08-2019, 14:14:07 | Translate post to: ... (Click for more languages)

Download DBM NoUpdateCheck
Still needs Testing
Removed the Update check and tested it myself during LFR.
Was working pretty smooth.

Would be great if you give me feedback here:
My Thread about Customized AddOns




0 0
  
Back to top
View user's profile Send private message
Gadoschi

[Mentally Stable]



Status: Offline
(online 11 hours ago)
Joined: 11 Jan 2019
Posts: 40, Topics: 13
Location: Croatia

Reputation: 12.4

Post Posted: 28-10-2019, 12:45:54 | Translate post to: ... (Click for more languages)

I've been testing your edited version of the addon for a few days now.
So far, it seems that the addon still performs version check.
However, this is the first time I've noticed that it RECOMMENDS updating it (does not disable) instead of FORCEFULLY DISABLING the addon itself.
Will continue to observe whether that changes in the following days - stay tuned for further update.

P.S. Right now I am wondering whether data from the previous version installed, still cached in my WoW folder (I hadn't deleted before installing the edited version) might be the cause for the addon to still detect addon versions in my group and comparing it to my own version.





Last edited by Gadoschi on 30-10-2019, 14:50:08; edited 2 times in total
0 0
  
Back to top
View user's profile Send private message

  Topic locked


Topic is closed, you cannot post any messages in it anymore




 
Post new topic   This topic is locked: you cannot edit posts or make replies.    Freakz Forum Index -> WoW Freakz - Legion -> General Discussion  


The time now is 30-05-2020, 08:32:59
Copyright info

Based on phpBB ro/com
B

 
 
 







I forgot my password


This message appears only once, so
like us now until it's too late ! :D
x